<?php

/***************************************************************************************

             Descripción : Comprueba si existe alguna sesión iniciada.

*****************************************************************************************/

function FVerificaSesion($RutaPath)
{ include($RutaPath.'Librerias/Configuracion.phtml');
 //Inicia sesión actual.
 session_name($_NombreSesion);
 session_start();
 //verifica que existan las variables de sesión.
 if (!session_id())
 {  FEntradaIncorrecta("No ha iniciado Sesi&oacute;n",$RutaPath);
    exit();
 }



 }



/***************************************************************************************

             Descripción : Finaliza una sesión existente.

*****************************************************************************************/

function FFinSesion($RutaPath)

{ FEntradaIncorrecta("Sesi&oacute;n Finalizada",$RutaPath);
  exit();
}



/***************************************************************************************

             Descripción : Imprime que existe una entrada incorrecta.

*****************************************************************************************/

function FEntradaIncorrecta($Motivo,$RutaPath)

{

   include($RutaPath.'Librerias/Configuracion.phtml');

echo'

<html>

<head>

<title>Entrada Incorrecta</title>

<meta http-equiv="refresh" content="0;URL='.$_DireccionBase.'index.php?Motivo='.$Motivo.'">

<link rel="stylesheet" href="cont.css">

<STYLE type=text/css>A:hover {COLOR: #FF3300}</STYLE>

</head>

<body>

</body>

</html>

' ;

exit();

}



?>